Upsert Slack app config
curl --request PUT \
--url https://spectrum.photon.codes/projects/{projectId}/slack/ \
--header 'Content-Type: application/json' \
--data '
{
"enabledFeatures": [
"<string>"
],
"clientId": "<string>",
"clientSecret": "<string>",
"signingSecret": "<string>",
"appId": "<string>"
}
'import requests
url = "https://spectrum.photon.codes/projects/{projectId}/slack/"
payload = {
"enabledFeatures": ["<string>"],
"clientId": "<string>",
"clientSecret": "<string>",
"signingSecret": "<string>",
"appId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
enabledFeatures: ['<string>'],
clientId: '<string>',
clientSecret: '<string>',
signingSecret: '<string>',
appId: '<string>'
})
};
fetch('https://spectrum.photon.codes/projects/{projectId}/slack/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"succeed": true,
"data": {
"appConfigId": "<string>",
"projectId": "<string>",
"enabledFeatures": [
"<string>"
],
"clientId": "<string>",
"clientSecret": "<string>",
"signingSecret": "<string>",
"appId": "<string>",
"installationCount": 4503599627370495,
"createdAt": "<string>",
"updatedAt": "<string>"
}
}slack
Upsert Slack app config
Creates or updates the project’s Slack app configuration. Partial — omitted fields are preserved on update. Validates enabledFeatures against the FEATURE_CATALOG. The OAuth proxy calls this after apps.manifest.create returns credentials, and may call it again to rotate credentials. NEVER pass a Slack config token (xoxe.xoxp-…) here — that’s a workspace-admin credential and must not be persisted.
PUT
/
projects
/
{projectId}
/
slack
/
Upsert Slack app config
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Was this page helpful?
⌘I